<template>
    <v-container>
        <h2 class="secondary--text" align="center"> 
            Equips </h2>
        
        <div class="mt-2">
      <v-alert dark color="primary" elevation="12" border="left" dismissible colored-border>
        <p class=text-justify>Les proves completades no estan validades, per tant, la informació següent és provisional. </p>
      </v-alert>
    </div>

    <!-- <v-row class="mt-2"  v-for="team in teams" :key="team.id"></v-row> -->

    <v-col class="mt-3">
      <v-data-table
        :headers="headers"
        :items="teams"
        class="elevation-5"
        mobile-breakpoint="20"
        disable-pagination
        hide-default-footer
        dark
        :single-expand="singleExpand"
        :expanded.sync="expanded"
        item-key="username"
        show-expand
      >
    

    <template v-slot:expanded-item="{ headers, item }">
      <td :colspan="headers.length">
        <h4 class=mt-3> {{ item.username }} </h4> 
        <p class=mt-3> {{ item.players }} </p>
      </td>
    </template>

      </v-data-table> 
    </v-col>


    <div class="mt-3" align="left">
      <app-ui-back-btn></app-ui-back-btn>
    </div>
    
    </v-container>
</template>

<script>

export default {
  middleware: "auth",
    data() {
        return {
          headers: [
          { text: 'Equip', value: 'teamname', class:'green black--text' },
          { text: 'Proves', value: 'completed.length', class:'green black--text' }, 
          { text: '', value: 'data-table-expand', class:'green black--text' },
        ],
        expanded: [],
        singleExpand: true,
        }
    },
  computed:{
    teams(){
      var items = this.$store.getters.readTeams 

      var items = items.filter(function(item) {
          return item.username !== 'admin'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra1'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra2'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra3'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra4'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra5'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra6'; 
            });
      var items = items.filter(function(item) {
          return item.username !== 'Extra7'; 
            });
      
      items.sort(function (a, b){
        return (b.completed.length - a.completed.length)})

      // function SortArray(x, y){
      //       if (x.username < y.username) {return -1;}
      //       if (x.username > y.username) {return 1;}
      //       return 0;
      //   }

      // var itemssort = items.sort(SortArray);

      return items
    }
  },

  async mounted(){
      await this.$store.dispatch("refreshTeams")
    }
}
</script>

<style scoped>

.container {
  background-image: url("https://i.ibb.co/5MTKvcz/Fons-Sense-Muntanya.png");
  background-size: cover;
  background-position: center;
  height: 100%;
}



  
</style>